%define major	1
%define libname	%mklibname razer %{major}

Name:		razercfg
Version:	0.42
Release:	%mkrel 7
Summary:	Razer device configuration tool
Group:		System/Configuration
License:	GPLv2
URL:		https://bues.ch/cms/hacking/razercfg.html
Source0:	https://bues.ch/releases/razercfg/%{name}-%{version}.tar.xz
Source1:	razerd.service
Patch0:		libdir_64_fix.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-qt5-devel

Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-widgets

%description
This is the next generation Razer device configuration tool
bringing the Razer gaming experience to the free open source world.
This utility is a replacement for the old deathaddercfg tool.
The tool architecture is based on "razerd", which is a background
daemon doing all of the lowlevel privileged hardware accesses.
The user interface tools are "razercfg", a commandline tool;
and "qrazercfg", a QT5 based graphical device configuration tool.

%package -n %{libname}
Summary:        Razer device configuration tool
Group:          System/Libraries
Conflicts:      %{name} < 0.39-4
Obsoletes:      %{_lib}%{name}1 < 0.39-3

%description -n %{libname}
This is the next generation Razer device configuration tool
bringing the Razer gaming experience to the free open source world.
This utility is a replacement for the old deathaddercfg tool.
The tool architecture is based on "razerd", which is a background
daemon doing all of the lowlevel privileged hardware accesses.
The user interface tools are "razercfg", a commandline tool;
and "qrazercfg", a QT5 based graphical device configuration tool.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

install -Dpm 0755 %{SOURCE1} -D %{buildroot}%{_unitdir}/razerd.service
install -d %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/razerd %{buildroot}%{_sbindir}/razerd

rm -f %{buildroot}%{_libdir}/*.so

%post
%_tmpfilescreate razerd
%_post_service razerd

%preun
%_preun_service razerd

%files
%doc COPYING README* HACKING*
%{_bindir}/*
%{_sbindir}/razerd
%{_unitdir}/razerd.service
%{_sysconfdir}/pm/sleep.d/50-razer
%{_udevrulesdir}/80-razer.rules
%{python3_sitelib}/*
%{_datadir}/applications/razercfg.desktop
%{_iconsdir}/hicolor/*/apps/razercfg*
%dir %ghost %attr(0755, root, root) %{_rundir}/razerd
%{_tmpfilesdir}/razerd.conf

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}


%changelog
* Mon Dec 18 2023 papoteur <papoteur> 0.42-7.mga10
+ Revision: 2018936
- Mass Rebuild - Python 3.12

* Sun Jan 29 2023 wally <wally> 0.42-6.mga9
+ Revision: 1936813
- don't own hicolor icon theme dirs

* Wed Apr 06 2022 umeabot <umeabot> 0.42-5.mga9
+ Revision: 1845903
- Mageia 9 Mass Rebuild
+ tv <tv>
- Rebuild for python-3.10

* Wed Mar 24 2021 daviddavid <daviddavid> 0.42-3.mga9
+ Revision: 1708929
- make sure pid files and /run/razerd folder are removed when uninstalled
- create tmpfiles durind post install

* Wed Mar 24 2021 tv <tv> 0.42-2.mga9
+ Revision: 1708773
- adjust filelist
- rebuild for python 3.9
+ daviddavid <daviddavid>
- new version: 0.42
- remove merged upstream patch

* Wed Mar 24 2021 daviddavid <daviddavid> 0.40-5.mga9
+ Revision: 1708644
- rebuild for python 3.9

* Sun Feb 16 2020 daviddavid <daviddavid> 0.40-4.mga8
+ Revision: 1534130
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.40-3.mga8
+ Revision: 1446213
- rebuild for python3.8

* Tue Jan 08 2019 daviddavid <daviddavid> 0.40-2.mga7
+ Revision: 1352851
- rebuild for new Python 3.7

* Wed Jan 02 2019 daviddavid <daviddavid> 0.40-1.mga7
+ Revision: 1348587
- new version: 0.40
- port to PyQt5

* Sun Sep 23 2018 umeabot <umeabot> 0.39-7.mga7
+ Revision: 1300785
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 0.39-6.mga7
+ Revision: 1220559
- Fix Obsoletes to use lower than and not equal

* Fri Apr 20 2018 kekepower <kekepower> 0.39-5.mga7
+ Revision: 1220554
- Conflicts/Obsoletes. I really need to remember these things.

* Fri Apr 20 2018 kekepower <kekepower> 0.39-4.mga7
+ Revision: 1220546
- Really fix the conflicts or obsoletes this time

* Fri Apr 20 2018 kekepower <kekepower> 0.39-3.mga7
+ Revision: 1220527
- Fix libname

* Fri Apr 20 2018 kekepower <kekepower> 0.39-2.mga7
+ Revision: 1220522
- Split out the library file to its own package

* Thu Apr 19 2018 kekepower <kekepower> 0.39-1.mga7
+ Revision: 1220160
- Update to version 0.39

* Wed Feb 03 2016 umeabot <umeabot> 0.22-4.mga6
+ Revision: 933143
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.22-3.mga5
+ Revision: 747083
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.22-2.mga5
+ Revision: 688620
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 0.22-1.mga5
+ Revision: 592569
- new version 0.22

* Fri Oct 18 2013 umeabot <umeabot> 0.19-5.mga4
+ Revision: 521578
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 0.19-4.mga3
+ Revision: 391313
- update rpm group

* Wed Jan 16 2013 fwang <fwang> 0.19-3.mga3
+ Revision: 388470
- correct udev rules dir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 shlomif <shlomif> 0.19-1.mga3
+ Revision: 307632
- New version 0.19

* Mon Aug 27 2012 fedya <fedya> 0.18-1.mga3
+ Revision: 284614
- %%mkrel 1 added
- OpenSource it's mispelling
- rpmlint fixes
- imported package razercfg

